uses
    testlib, SysUtils, Math;

const
    eps = 2.1e-6;

var
    ja, pa: extended;
    js, ps : string;
    i : longint;

begin
    js := ans.ReadString;
    ps := ouf.ReadString;
    if (js = ps) then
      quit(_ok, js);
    if (js = 'Impossible') then
      quit(_wa, 'Imposible expected, but ' + ps + 'found');
    val(js, ja, i);
    val(ps, pa, i);
    if (i <> 0) then
      quit(_pe, 'Strange output: ' + ps);
    
    if abs(ja - pa) > eps * max(1, ja) then
        quit(_wa, 'Expected: ' + floattostr(ja) + ', found: ' + floattostr(pa));

    quit(_ok, floattostr(ja));
end.